
/**
 * @imports
 */
import _isFunction from '@web-native-js/commons/js/isFunction.js';
import readSync from './readSync.js';
import Reflow from '../Reflow.js';

/**
 * The async type of readSync().
 *
 * @see readSync()
 *
 * @return Promise
 */
export default function(el, props, psuedo = null) {
	return Reflow.onread((resolve, reject) => {
		try {
			resolve(_isFunction(props) ? props(el) : readSync(el, props, psuedo));
		} catch(e) {
			reject(e);
		}
	}, true/*withPromise*/);
};