
/**
 * @imports
 */
import Reflex from '@web-native-js/reflex';
import _copy from '@web-native-js/commons/obj/copy.js';

/**
 * ---------------------------
 * Represents an IntersectionObserver
 * that publishes entries to state.
 * ---------------------------
 */

export default class {
	
	/**
	 * @inheritdoc
	 */
	constructor(target, params = {}) {
		var observer = new IntersectionObserver(entries => {
			entries.forEach(entry => {
				if (entry.isIntersecting) {
					Reflex.set(this, entry.intersectionRect.toJSON());
					if (params.once) {
						observer.unobserve(entry.target);
					}
				}
			});
		}, _copy(params, ['root', 'rootMargin', 'threshold']));
		observer.observe(target);
	}

	/**
	 * @inheritdoc
	 */
	observe(...args) {
		return Reflex.observe(this, ...args);
	}
};
