
/**
 * @imports
 */
import Reflex from '@web-native-js/reflex';

/**
 * ---------------------------
 * Represents a ResizeObserver
 * that publishes entries to state.
 * ---------------------------
 */

export default class {
	
	/**
	 * @inheritdoc
	 */
	constructor(target, params = {}) {
		var observer = new ResizeObserver(entries => {
			entries.forEach(entry => {
				var _entry = {
					contentRect: entry.contentRect.toJSON(),
				};
				if (entry.contentBoxSize) {
					_entry.contentBoxSize = {
						inlineSize: entry.contentBoxSize.inlineSize,
						blockSize: entry.contentBoxSize.blockSize,
					};
					_entry.borderBoxSize = {
						inlineSize: entry.borderBoxSize.inlineSize,
						blockSize: entry.borderBoxSize.blockSize,
					};
					Reflex.set(this, _entry);
				}
			});
		});
		observer.observe(target);
	}
};
