
/**
 * @imports
 */
import mutationCallback from './mutationCallback.js';

/**
 * Shortcut function to connectedCallback().
 *
 * Observes when the given elements or selectors are added
 * to the given context.
 *
 * @param array|HTMLElement|string	els
 * @param function					callback
 * @param HTMLElement|string		context
 * @param bool						observeIndirectMutation
 *
 * @return MutationObserver
 */
export default function(els, callback, context = null, observeIndirectMutation = true) {
	return mutationCallback(els, (connectedState, ...els) => {
		callback(...els);
	}, 1/*connectedState*/, context, observeIndirectMutation);
};